model = SimplePrecessionModel()
prior = UniformDistribution([0, 1])
heuristic_class = ExpSparseHeuristic

for n_particles in [100, 200, 400]:
    perf = perf_test_multiple(
        n_trials=50,
        model=model, n_particles=n_particles, prior=prior,
        n_exp=50, heuristic_class=heuristic_class
    )
    # The array returned by perf_test_multiple has
    # shape (n_trials, n_exp), so to take the mean over
    # trials (Bayes risk), we need to average over the
    # zeroth axis.
    bayes_risk = perf['loss'].mean(axis=0)

    plt.semilogy(bayes_risk, label='{} particles'.format(n_particles))

plt.xlabel('# of Measurements')
plt.ylabel('Bayes Risk')
plt.legend()
plt.show()